
const express = require('express')
const app = express()
const port = 80

const bodyParser = require('body-parser')
app.use(bodyParser.json({ type: 'json'}));
//app.use(bodyParser.raw());
app.use(bodyParser.text({ type: 'text'}))

const lora_router = require('./routes/lora_api')
app.use('/lora', lora_router);

var active_devices = {};
var active_gateways;

app.set('active_devices', active_devices);

var messages = [];
app.set('messages', messages)

app.set("active_gateways", active_gateways)

app.get('/', (req, res) => {
  res.send('Hello World!')
})

app.listen(port, () => {
  console.log(`Example app listening on port ${port}`)
})

module.exports = app;