#ifndef NZWORKER_H
#define NZWORKER_H

#define     TEMP_PARAM          0 
#define     PRESSURE_PARAM      1
#define     HUMIDITY_PARAM      2

#define     MEASURE_TIMER_PARAM 5

#include <NZdevice.h>

class NZWorker : public NZDevice {

public:

    NZWorker(uint8_t SSPin, uint8_t DIOpin);

    uint8_t init(char* name, char* model, uint8_t upperAddress, uint8_t thisAddress, uint16_t thisNetAddress);

    void initParameters();

    uint8_t initConnection();

    void listenMessages();

    void processMessage(uint16_t from);

    void emulateMeasure();

};

#endif